# Intel® Enhanced Privacy ID SDK: VerifierCtx Struct Reference

VerifierCtx Struct Reference

Verifier context definition. More...

`#include <epid/verifier/context.h>`

## Data Fields

GroupPubKey_ * | pub_key
| group public key
FfElement * | e12
| an element in GT
FfElement * | e22
| an element in GT
FfElement * | e2w
| an element in GT
FfElement * | eg12
| an element in GT
PrivRl const * | priv_rl
| Private key based revocation list - not owned.
SigRl const * | sig_rl
| Signature based revocation list - not owned.
GroupRl const * | group_rl
| Group revocation list - not owned.
VerifierRl const * | verifier_rl
| Verifier revocation list - not owned.
Epid2Params_ * | epid2_params
| Intel(R) EPID 2.0 params.
CommitValues | commit_values
| Values that are hashed to create commitment.
HashAlg | hash_alg
| Hash algorithm to use.

## Detailed Description

Verifier context definition.

Internal context of verifier.

Examples:
  verifysig.c.

The documentation for this struct was generated from the following file:

- epid/verifier/context.h